import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClient, withInterceptorsFromDi } from '@angular/common/http';
import { provideHttpClientTesting } from '@angular/common/http/testing';
import { provideRouter } from '@angular/router';
import { DadosUsuarios } from './dados-usuarios';

describe('DadosUsuarios', () => {
  let component: DadosUsuarios;
  let fixture: ComponentFixture<DadosUsuarios>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [DadosUsuarios], // standalone component
      providers: [
        provideRouter([]),
        provideHttpClient(withInterceptorsFromDi()),
        provideHttpClientTesting(),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(DadosUsuarios);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
